---
title: RTCOutboundRtpStreamStats.sliCount
slug: Web/API/RTCOutboundRtpStreamStats/sliCount
tags:
  - API
  - Corruption
  - Errors
  - Property
  - RTCOutboundRtpStreamStats
  - RTP
  - Reference
  - SLI
  - Slice Loss
  - Statistics
  - Stats
  - Video
  - WebRTC
  - WebRTC API
  - sliCount
  - stream
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The <strong><code>sliCount</code></strong> property of the {{domxref("RTCOutboundRtpStreamStats")}} dictionary indicates how many <strong>Slice Loss Indication</strong> (<strong>SLI</strong>) packets the {{domxref("RTCRtpSender")}} received from the remote {{domxref("RTCRtpReceiver")}} for the RTP stream described by this object.</span></p>

<p>An SLI packet is used by a decoder to let the encoder (the sender) know that it's detected corruption of one or more consecutive macroblocks, in scan order, in the received media.In general, what's usually of interest is that the higher this number is, the more the stream data is becoming corrupted between the sender and the receiver, causing the receiver to request retransmits or to drop frames entirely.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>sliCount</em> = <em>RTCOutboundRtpStreamStats</em>.sliCount;</pre>

<h3 id="Value">Value</h3>

<p>An unsigned integer indicating the number of SLI packets the sender received from the receiver due to lost runs of macroblocks. A high value of <code>sliCount</code> may be an indication of an unreliable network.</p>

<p>This is a very technical part of how video codecs work. For details, see {{RFC(4585, "6.3.2")}}.</p>

<div class="note">
<p><strong>Note:</strong> This value is only present for video media.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-RTCOutboundRtpStreamStats-slicount', 'RTCOutboundRtpStreamStats.sliCount')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCOutboundRtpStreamStats.sliCount")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{RFC(4585, "6.3.2")}}: Definition of "Slice Loss Indication" in the document <em>Extended RTP Profile for Real-time Transport Control Protocol (RTCP)-Based Feedback (RTP/AVPF)</em>.</li>
</ul>
